Subject: Re: [PATCH v5 net-next 0/6] net: ethernet: ti: am65-cpsw: Fix set channel operation

From: Leon Romanovsky <[email-masked]>
Date: Tue, 6 Dec 2022 12:05:20 +0200

On Tue, Dec 06, 2022 at 11:44:13AM +0200, Roger Quadros wrote:
> Hi,
> 
> This contains a critical bug fix for the recently merged suspend/resume
> support [1] that broke set channel operation. (ethtool -L eth0 tx <n>)
> 
> As there were 2 dependent patches on top of the offending commit [1]
> first revert them and then apply them back after the correct fix.

Why did you chose revert and reapply almost same patch instead of simply
fixing what is missing?

Thanks

> 
> [1] fd23df72f2be ("net: ethernet: ti: am65-cpsw: Add suspend/resume support")
> 
> cheers,
> -roger
> 
> Changelog:
> 
> v5:
> - Change reset failure error code from -EBUSY to -ETIMEDOUT
> 
> v4:
> - move am65_cpsw_nuss_ndev_add_tx_napi() earlier to avoid declaration.
> - print error and error out if soft RESET failed in
>   am65_cpsw_nuss_ndo_slave_open()
> - move struct 'am65_cpsw_host *host' where 'common' is defined.
> 
> v3:
> - revert offending commit before applying the updated patch.
> - drop optimization patch to be sent separately.
> 
> v2:
> - Fix build warning
>  drivers/net/ethernet/ti/am65-cpsw-nuss.c:562:13: warning: variable 'tmo' set but not used [-Wunused-but-set-variable]
> 
> Roger Quadros (6):
>   Revert "net: ethernet: ti: am65-cpsw: Fix hardware switch mode on
>     suspend/resume"
>   Revert "net: ethernet: ti: am65-cpsw: retain PORT_VLAN_REG after
>     suspend/resume"
>   Revert "net: ethernet: ti: am65-cpsw: Add suspend/resume support"
>   net: ethernet: ti: am65-cpsw: Add suspend/resume support
>   net: ethernet: ti: am65-cpsw: retain PORT_VLAN_REG after
>     suspend/resume
>   net: ethernet: ti: am65-cpsw: Fix hardware switch mode on
>     suspend/resume
> 
>  drivers/net/ethernet/ti/am65-cpsw-nuss.c | 197 ++++++++++++-----------
>  1 file changed, 105 insertions(+), 92 deletions(-)
> 
> -- 
> 2.17.1
>